Bug 63634 - konqueror suddenly ignores proxy server settings
konqueror suddenly ignores proxy server settings
Product: Red Hat Public Beta
Classification: Retired
Component: kdebase (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
Depends On:
Blocks: 61901 67218
  Show dependency treegraph
Reported: 2002-04-16 12:10 EDT by Michael Schwendt
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-21 16:17:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2002-04-16 12:10:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
I have configured Konqueror to connect through a junkbuster proxy server at port
8000 which kills cookies and a selection of banner ads. After following
several links, konqueror loses knowledge of the proxy server and connects
directly. This becomes obvious when it asks me whether to allow new cookies
to be set and when it displays banner ads again. Junkbuster should have filtered
them out.

[Proxy Settings]
Proxy Config Script=

Entry0=*:Mozilla/5.0 (compatible; Konqueror/2.0; X11)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start konqueror
2. configure it to use a proxy server
3. open a few links in new windows (with middle mouse button e.g.)
4. verify whether it connects through the proxy

Actual Results:  Konqueror suddenly sees cookies and banner ads again which the
proxy server (junkbuster-2.0.2-28 in my case) should have dropped. Makes me
believe it no longer has connected through the proxy server, but directly.

Expected Results:  Konqueror should have connected through the proxy server.

Additional info:


This does not happen with Mozilla, Netscape Navigator, or Opera.
Comment 1 Karsten Hopp 2002-08-09 06:49:05 EDT
I don't think this problem still exists with a decent kdebase and privoxy. 
I'm using this combination all the time without problems. 
Comment 2 Michael Schwendt 2002-08-09 11:28:04 EDT
Yes, I have also test-drived privoxy a bit (even as a replacement on a Valhalla
machine) and can confirm that.  Nevertheless, raises the question whether
junkbuster is broken (works flawlessly together with Mozilla) or konqueror?

Note You need to log in before you can comment on or make changes to this bug.